%define base_name	kdemoreartwork
%define theme_name	slickerstyle
%define name		%{base_name}-%{theme_name}
%define version		0.4
%define release		1mdk
%define summary		Slickerstyle kstyle and kwin theme for KDE

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		%{summary}
License:		GPL
Group:			Graphical desktop/KDE
Source:			%{theme_name}-%{version}.tar.bz2
URL:			http://kde-look.org/usermanager/search.php?username=leinir	
BuildRequires:		kdelibs-devel
BuildRequires:		kdebase-devel
BuildRequires:		libpng-devel , libjpeg62-devel
BuildRequires:		libqt3-devel
BuildRoot:		%{_tmppath}/%{name}-buildroot

%description
This is the Slicker style.

It is based very heavily on clee's dotNET style. It will eventually be
an interpretation of Fop's mockups as seen on kde-look.org and the
Slicker homepage.
 
%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{theme_name}-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
./configure  --prefix=%{_prefix} --libdir=%_libdir --mandir=%_mandir --disable-debug --disable-rpath --enable-final --disable-warnings
%make

%install
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGELOG README TODO
%{_libdir}/kde3/plugins/styles/slicker.*
%{_datadir}/apps/kstyle/themes/slicker.themerc

%changelog
* Wed Aug 27 2003 Laurent Culioli <laurent@pschit.net> 0.4-1mdk
- initial release

